/**
 * \file
 * \class Config
 */
#ifndef CONFIG_H
#define CONFIG_H

#ifndef VERSION
//SEMVER style version
/**
 * \brief Version string. 
 * Update as needed. Formatted as SEMVER style string.
 * See https://semver.org/ for more information.
 */
#define VERSION          "0.4.5-Dev"
#endif

/**
 * Set the default Serial baudrate in bits/seconds
 */
#define CONFIG_SERIAL_BAUDRATE  115200

/**
 * Pin ID of the output relay
 */
#define CONFIG_IO_RELAY         D1
/**
 * Pin ID of the DHT11 temperature sensor
 */
#define CONFIG_IO_DHT11         D2

/**
 * Interval at which the tempreature is sent in seconds
 */
#define CONFIG_TEMPERATURE_SEND_INTERVAL 60
#endif